curl --location --request PATCH 'https://api.dev.ordermesh.io/shipment/v1/?isShipmentSync=' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orderItems": [
{
"id": "a1f0a9cc-f66c-447f-b770-9b4884e9f02d",
"vendorSku": "Test variant sku name",
"variantId": "1",
"vendorProductId": "1",
"sku": "Test sku name",
"quantity": 1,
"price": {
"currency": "USD",
"amount": 10,
"tax": 5
},
"merchantPrice": {
"currency": "USD",
"amount": 10,
"tax": 5
},
"shortId": "I21832079",
"status": 4,
"images": [
{
"area": "Front",
"ourUrl": "https://files.example.com/image.png",
"ourFileId": "01KFNYM7GYPKTJ6ADP6WSMMH90",
"ourThumbnailUrl": "https://files.example.com/image-thumb.png",
"ourThumbnailFileId": "01KFNYM7GYPKTJ6ADP6WSMMH91",
"vendorReadyFileId": "01KCS3G3ZYMVW76YWTWCCH7GT6",
"vendorReadyUrl": null
}
],
"isSample": false,
"shippingGroupId": null
}
],
"shipmentStatus": 4,
"shipmentUpdateData": "{\"shippingMethod\":\"Express\"}",
"shippingMethod": null,
"isPollingStopped": true,
"merchantOrderTotal": 20,
"merchantPackageTotal": 20,
"merchantTaxTotal": 50,
"merchantShippingTotal": 20,
"packageTotal": 10,
"taxTotal": 50,
"shippingTotal": 20,
"total": 150,
"costTotal": 100,
"costTaxTotal": 10,
"costShippingTotal": 100,
"costShippingTaxTotal": 30,
"orderExternalId": null,
"selectedShippingMapping": {
"carrierName": "UPS",
"type": "Detailed",
"shippingMethods": [
{
"shippingMethodName": null,
"shipmentMethod": "Standard",
"vendorShippingMethod": null,
"shipToCountries": null,
"carrierShippingServiceMethods": [
{
"serviceMethodsAllowed": [
"Ground"
],
"countryCodesToApply": [
"US"
],
"vendorMapping": {
"carrierCode": "UPS",
"serviceCode": "Ground"
}
}
]
}
]
},
"shippingAddress": null,
"orderShortId": null,
"reprint": null,
"shippingGroupId": null,
"shippingGroupName": null
}'